<template>
<div class="navbar-wrapper">
  <router-link class="logo-link"
  :to="{ name: 'LandingPage' }">
    <app-logo/>
  </router-link>
  <div class="menu">
    <app-button class="menu-item"
    v-scroll-to="'#explanation'"
    :buttonType="'link'"
    :buttonValue="'How it works'"/>
    <!-- <app-button class="menu-item"
    :buttonType="'link'"
    :buttonValue="'Login'"
    @click="onLoginButtonClick"/> -->

    <font-awesome-icon class="menu-item social-icon"
    :icon="iconTwitter"
    size="lg"/>
  </div>
</div>
</template>

<script>
import AppLogo from '@/components/AppLogo';
import AppButton from '@/components/AppButton';
import FontAwesomeIcon from '@fortawesome/vue-fontawesome';

import faTwitter from '@fortawesome/fontawesome-free-brands/faTwitter';

export default {
  name: 'LandingPageNavbar',
  components: {
    AppLogo,
    AppButton,
    FontAwesomeIcon,
  },
  methods: {
    onLoginButtonClick() {
      this.$router.push({ name: 'Login' });
    },
  },
  computed: {
    iconTwitter() {
      return faTwitter;
    },
  },
};
</script>

<style lang="scss" scoped>
@import '~styles/colors';

.navbar-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;

  margin: 1em 0;
  padding: 0;

 .menu {
    display: flex;
    justify-content: space-between;
    align-items: center;

    .menu-item {
      margin: 0 0.6em;

      color: $link-primary;
    }
  }
}

.social-icon:hover {
  cursor: pointer;
  opacity: 0.7;
}

.logo-link {
  text-decoration: none;
}

@media screen and (max-width: 768px) {
  .navbar-wrapper {
    display: block;
  }

  .navbar-wrapper {
    .logo {
      margin-bottom: 1.25em;
    }
  }
}
</style>
